<?php


/********************************************************************
 * 
 * Purpose: 
 * The Telix Cacti plugin provides the followign functionalities:
 *    - View the current state of the router interfaces whose 
 *      description is set in the target router.
 *
 *    - Monitor the current admin and operational status of router
 *      interfaces in the target router.
 *
 *    - Modify the admin status of router interfaces in the target 
 *      router to either "Up" or "Down".
 *
 *    - Modify dialer string of dialer interfaces in the target
 *      router.
 ********************************************************************/


/* 
 * General information related to this Telix Cacti plugin.
 */
$telix_name                   = 'Telix';
$telix_long_name              = 'Telix';
$telix_version                = '0.1';
$telix_author                 = 'Jeffrey Wu';
$telix_homepage               = 'Homepage'; 
$telix_email                  = 'Email';
$telix_url                    = 'URL';    
$telix_ifs_realm_id           = 77;   // Realm ID assigned to Router Interfaces Management functionality.
$telix_dialer_strs_realm_id   = 78;   // Realm ID assigned to Router Dialer Strings Management functionality.
$telix_ifs_view_realm_id      = 79;   // Realm ID assigned to View Router Interfaces Status functionality.
$telix_ifs_task               = 'Router Interfaces Management';   // String used to identify/describe a task.
$telix_dialer_strs_task       = 'Router Dialer Strings Management';   // String used to identify/describe a task.
$telix_ifs_view_task          = 'View Router Interfaces Status';   // String used to identify/describe a task.


// To show the Telix Tab, set to TRUE
// To show it as a menu option, set to FALSE
$telix_tab = TRUE;

?>