<?php	

/*
 * Purpose: Generate a form to enable user to select a task to perform.
 *          There are current three user tasks:
 *			- Router Intefaces Management.
 *			- Router Dialer Strings Management.
 *                - View Router Interfaces Status.
 */


function gen_task_options() {

	global $config, $user_auth_realm_filenames;


	include_once($config["library_path"] . "/database.php");
	include("plugins/telix/config.php");

	
	// Generates a default "dummy" option so that when user select one 
      // of the valid task options listed, the target management page is 
	// loaded.  If the user selects this option, the targe page will
	// just be this page, i.e., telix.php.
	print '<option value="telix.php" selected> &ltSelect a task&gt </option>' . "\n";; 


	// Only generate options for tasks that the user has the permission to 
	// access.
	// Task: Router Interfaces Management.
	$realm_id2 = -1;
	if (isset($user_auth_realm_filenames{basename('telix_ifs.php')})) {
		$realm_id2 = $user_auth_realm_filenames{basename('telix_ifs.php')};
	}


	if($realm_id2 != -1) {
		if (db_fetch_assoc("select user_auth_realm.realm_id
		    from user_auth_realm where user_auth_realm.user_id='" . $_SESSION["sess_user_id"] . "'
	    		and user_auth_realm.realm_id='$realm_id2'")) 
		{ 
			print '<option value="telix_ifs.php"> ' . $telix_ifs_task . ' </option>' . "\n";
		}
	}


	// Task: Router Dialer Strings Management.
	$realm_id2 = -1;
	if (isset($user_auth_realm_filenames{basename('telix_dialer_strs.php')})) {
		$realm_id2 = $user_auth_realm_filenames{basename('telix_dialer_strs.php')};
	}

	if($realm_id2 != -1) {
		if (db_fetch_assoc("select user_auth_realm.realm_id
	   		 from user_auth_realm where user_auth_realm.user_id='" . $_SESSION["sess_user_id"] . "'
         		 and user_auth_realm.realm_id='$realm_id2'"))  
		{

			print '<option value="telix_dialer_strs.php"> ' . $telix_dialer_strs_task . ' </option>'. "\n";
		}
	}


	// Task:  View Router Interfaces Status.
	$realm_id2 = -1;
	if (isset($user_auth_realm_filenames{basename('telix_ifs_view.php')})) {
		$realm_id2 = $user_auth_realm_filenames{basename('telix_ifs_view.php')};
	}

	if($realm_id2 != -1) {
		if (db_fetch_assoc("select user_auth_realm.realm_id
	 	  	 from user_auth_realm where user_auth_realm.user_id='" . $_SESSION["sess_user_id"] . "'
        	  	 and user_auth_realm.realm_id='$realm_id2'"))  
		{
			print '<option value="telix_ifs_view.php"> ' . $telix_ifs_view_task . ' </option>'. "\n";
		}
	}

}

?>



	 <tr bgcolor="<?php print $colors["panel"];?>">
		<form name="form_tasks">
		<td>
			<table width="100%" cellpadding="0" cellspacing="0">
				<tr>
					<td width="8%">
						Select a task:&nbsp;
					</td>
					<td width="92%">
						<select name="task_id" onChange="window.location=document.form_tasks.task_id.options[document.form_tasks.task_id.selectedIndex].value">
														
						  	<?php
								// Generates options for each available task that the user can perform.
								gen_task_options();						
							?>

						</select>
					</td>

				</tr>
			</table>
		</td>
		
		</form>
	</tr>





