<?php	

/*
 * Purpose: Generate a form to enable user to select a task to perform.
 *          There are current three user tasks:
 *			- Router Intefaces Management.
 *			- Router Dialer Strings Management.
 *                - View Router Interfaces Status
 */


function gen_task_options_ifs_view() {

	global $config, $user_auth_realm_filenames;


	include_once($config["library_path"] . "/database.php");
	include("plugins/telix/config.php");

	
	
	// Only generate options for tasks that the user has the permission to 
	// access.  
	// Task: Router Interfaces Management.
	$realm_id3 = -1;
	if(isset($user_auth_realm_filenames{basename('telix_ifs.php')})) {
		$realm_id3 = $user_auth_realm_filenames{basename('telix_ifs.php')};	 	
  	}

	if($realm_id3 != -1) {
		if (db_fetch_assoc("select user_auth_realm.realm_id
	  		  from user_auth_realm where user_auth_realm.user_id='" . $_SESSION["sess_user_id"] . "'
         		  and user_auth_realm.realm_id='$realm_id3'"))  
		{
			print '<option value="telix_ifs.php"> ' . $telix_ifs_task . ' </option>'. "\n";
		}
	}


	// Task: Router Dialer Strings Management.
	$realm_id3 = -1;
	if(isset($user_auth_realm_filenames{basename('telix_dialer_strs.php')})) {
		$realm_id3 = $user_auth_realm_filenames{basename('telix_dialer_strs.php')};	 	
  	}

	if($realm_id3 != -1) {
		if (db_fetch_assoc("select user_auth_realm.realm_id
		   	  from user_auth_realm where user_auth_realm.user_id='" . $_SESSION["sess_user_id"] . "'
        		  and user_auth_realm.realm_id='$realm_id3'"))  
		{
			print '<option value="telix_dialer_strs.php"> ' . $telix_dialer_strs_task  . ' </option>'. "\n";
		}
	}


	// Task: View Router Interfaces Status.
	// No need to check this task as it is 
	// the currently selected task.
	print '<option value="telix_ifs_view.php" selected> ' . $telix_ifs_view_task . ' </option>' . "\n";

}

?>



	 <tr bgcolor="<?php print $colors["panel"];?>">
		<form name="form_tasks">
		<td>
			<table width="100%" cellpadding="0" cellspacing="0">
				<tr width="100%">
					<td width="90">
						Select a task:&nbsp;
					</td>
					<td>
						<select name="task_id" onChange="window.location=document.form_tasks.task_id.options[document.form_tasks.task_id.selectedIndex].value">
														
						  	<?php
								// Generates options for each available task that the user can perform.
								gen_task_options_ifs_view();						
							?>

						</select>
					</td>

				</tr>
			</table>
		</td>
		
		</form>
	</tr>





